--------------------------------------------------------------------------
-- AISYSTEM
--
-- Copyright (C) 2012-Present. All rights reserved.
--
-- See LICENSE.TXT document for licensing information.
--------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

library ieee_proposed;
use ieee_proposed.fixed_float_types.all;
use ieee_proposed.fixed_pkg.all;
use ieee_proposed.float_pkg.all;
		
library work;
use work.common.all;
	 
library work;
use work.definition.all;

-- simulator node role	 
	 
entity simulation is
    port
    (
        reset               : in std_logic;
        clock               : in std_logic;
        -- inputs
		dt					: in unsigned(WEF downto 0); 
        t_step              : in unsigned(BIT48 downto 0)
    );
end entity;


architecture rtl of simulation is
begin

end architecture;

